IBM Security SOAR

Expand all | Collapse all

Microsoft Teams for SOAR install problem

  • 1.  Microsoft Teams for SOAR install problem

    Posted Thu July 01, 2021 12:53 PM
      |   view attached
    HI Team,
    I am getting below error while installing Microsoft Teams for SOAR APP in integration server.


    [integration@bk-res-int-server ~]$ sudo pip install fn_teams-1.0.2.tar.gz
    DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
    Processing ./fn_teams-1.0.2.tar.gz
    Requirement already satisfied: resilient_circuits>=30.0.0 in /usr/lib/python2.7/site-packages (from fn-teams==1.0.2) (37.0.214)
    Requirement already satisfied: resilient_lib in /usr/lib/python2.7/site-packages (from fn-teams==1.0.2) (35.0.203)
    Collecting pymsteams
    Using cached pymsteams-0.1.15.tar.gz (7.5 kB)
    ERROR: Command errored out with exit status 1:
    command: /usr/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-m54vEY/pymsteams/setup.py'"'"'; __file__='"'"'/tmp/pip-install-m54vEY/pymsteams/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-pip-egg-info-fbIGIK
    cwd: /tmp/pip-install-m54vEY/pymsteams/
    Complete output (19 lines):
    /usr/lib64/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'long_description_content_type'
    warnings.warn(msg)
    Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "/tmp/pip-install-m54vEY/pymsteams/setup.py", line 64, in <module>
    'verify': VerifyVersionCommand,
    File "/usr/lib64/python2.7/distutils/core.py", line 112, in setup
    _setup_distribution = dist = klass(attrs)
    File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 269, in __init__
    _Distribution.__init__(self,attrs)
    File "/usr/lib64/python2.7/distutils/dist.py", line 287, in __init__
    self.finalize_options()
    File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 302, in finalize_options
    ep.load()(self, ep.name, value)
    File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2443, in load
    return self.resolve()
    File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2453, in resolve
    raise ImportError(str(exc))
    ImportError: 'module' object has no attribute 'check_specifier'
    ----------------------------------------
    ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

    We are using Resilient version 40.2.73 and we are using integration server.
    Anyone can help?
    Thanks
    Rafiq



    ------------------------------
    Rafiqul Islam
    ------------------------------

    Attachment(s)

    txt
    output.txt   16 KB 1 version


  • 2.  RE: Microsoft Teams for SOAR install problem

    Posted Mon July 12, 2021 12:02 PM
    Hi Rafiqul,

    Thank you for reaching out to the community!

    It looks like the Python Module that is used in that Integration pymsteams https://pypi.org/project/pymsteams/#history has recently been updated

    Unfortunatly we cannot find any change history for that library, but what we suggest is to downgrade that library on your Integration Server

    To do so:
    $ pip uninstall pymsteams
    $ pip install pymsteams==0.1.14

    And so on until we get a version that is compatible with our Integration

    Hope this helps!

    ------------------------------
    Shane Curtin
    Apps Engineer - IBM Security SOAR
    ------------------------------



  • 3.  RE: Microsoft Teams for SOAR install problem

    Posted 21 days ago
    HI Shane,
    Thanks for your reply . Can you confirm if we downgrade pymsteams , the other app we are using might face problem or not ?
    Thanks
    Rafiq


    ------------------------------
    Rafiqul Islam
    ------------------------------